Get checkpoint by hash
get
/v1/checkpoints/by_hash
Query parameters
hashstringRequired
hash of the checkpoint to lookup
fullbooleanRequired
Full transaction details
Responses
200Success
application/json
Header of the checkpoint.
extra_datastringRequired
Extra data
hashstringRequiredExample:
Hash of the checkpoint
0xf55f9525be94633b56f954d3252d52b8ef42f5fd5f9491b243708471c15cc40cnumberinteger · int64RequiredExample:
Checkpoint number
1500parent_hashstringRequiredExample:
Hash of the parent
0xf55f9525be94633b56f954d3252d52b8ef42f5fd5f9491b243708471c15cc40creceipts_rootstringRequiredExample:
Transactions receipts root hash
0xf55f9525be94633b56f954d3252d52b8ef42f5fd5f9491b243708471c15cc40cstate_rootstringRequiredExample:
State root hash
0xf55f9525be94633b56f954d3252d52b8ef42f5fd5f9491b243708471c15cc40ctimestampinteger · int64RequiredExample:
Timestamp
1739760890transactions_rootstringRequiredExample:
Transactions root hash
0xf55f9525be94633b56f954d3252d52b8ef42f5fd5f9491b243708471c15cc40csizeinteger · int64Optional
Integer the size of this checkpoint in bytes.
transactionsone ofRequired
Checkpoint Transactions.
or
stringOptionalExample:
Only hashes
0xf55f9525be94633b56f954d3252d52b8ef42f5fd5f9491b243708471c15cc40c400
Client error
application/json
404
Resource not found
application/json
408
Request timeout
application/json
422
Business logic error
application/json
500
Internal server error
application/json
get
/v1/checkpoints/by_hashLast updated